### *** This interface provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.deployment

# Interface ConsumedResourceInterface

All Superinterfaces:
  `Cloneable`

All Known Implementing Classes:
  `ConsumedResource`, `ConsumedResourceAdapter`, `FactoryAction`, `ProfileDomain`, `RepositoryDef`, `RepositoryGroup`, `ServerDef`, `SimpleUserIdentity`

@SASScope("ALL") @BinaryCompatibilityOnly public interface ConsumedResourceInterface extends Cloneable
Interface representing a resource defined within a service configuration which may be used by zero or more consumers of an application.

Since:
  9.2

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `clone()`
  Clones the resource.
  `String`
  `getLocalizedResourceType()`
  Gets a localized value describing the resource's type.
  `String`
  `getLocalizedResourceTypeAndValue()`
  Gets a localized value describing the resource's type and value.
  `String`
  `getResourceID()`
  Gets the id that uniquely identifies the resource within a service's configuration.
  `String`
  `getResourceType()`
  Gets a value describing the resource's type.
  `int`
  `getResourceTypeCode()`
  Gets the code describing the resource's type.
  `String`
  `getResourceValue()`
  Gets the value used to identify the service configuration resource.
  `boolean`
  `isRequired()`
  Determines if this resource is required by the service's configuration.

- ## Method Details

  - ### getResourceValue

    String getResourceValue()
    Gets the value used to identify the service configuration resource.
    Returns:
      Service configuration resource's value.

  - ### getLocalizedResourceType

    String getLocalizedResourceType()
    Gets a localized value describing the resource's type.
    Returns:
      Resource's type. For example, a Logging Service configuration's resource types would be localized values for "Context", "Output", and "Renderer".

  - ### getLocalizedResourceTypeAndValue

    String getLocalizedResourceTypeAndValue()
    Gets a localized value describing the resource's type and value.
    Returns:
      Resource's type. For example, a Logging Service configuration's resource types would be localized values for
      - "Context : com.sas.services"
      - "Output : A1"
      - "Renderer: com.sas.MyRenderer"

  - ### getResourceType

    String getResourceType()
    Gets a value describing the resource's type.
    Returns:
      Resource's type. For example, a Logging Service configuration's resource types would be "Context", "Output", and "Renderer".

  - ### getResourceTypeCode

    int getResourceTypeCode()
    Gets the code describing the resource's type.
    Returns:
      Resource's type code.

  - ### getResourceID

    String getResourceID()
    Gets the id that uniquely identifies the resource within a service's configuration.
    Returns:
      Resource's ID.

  - ### isRequired

    boolean isRequired()
    Determines if this resource is required by the service's configuration.
    Returns:
      `true` if this resource is required by the service's configuration.

  - ### clone

    Object clone() throws CloneNotSupportedException
    Clones the resource.
    Returns:
      Clone of this resource.
    Throws:
      `CloneNotSupportedException`